Name:		kapow
Version:	1.5.10
Release:	%mkrel 2
Summary:	Punch clock
Group:		Office/Organizer
License:	GPLv3+
URL:		http://gottcode.org/%{name}/
Source:		http://gottcode.org/%{name}/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	qttools5

%description
A punch clock program designed to easily keep track of your hours,
whether you're working on one project or many. Simply clock in and
out with the Start/Stop button. If you make a mistake in your hours,
you can go back and edit any of the entries by double-clicking on
the session in question. Kapow also allows you to easily keep track
of the hours since you lasted billed a client, by providing a
helpful "Billed" check box--the totals will reflect your work
after the last billed session.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1.*


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 1.5.10-2.mga8
+ Revision: 1658622
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 1.5.10-1.mga8
+ Revision: 1570406
- new version: 1.5.10

* Sat Feb 15 2020 umeabot <umeabot> 1.5.9-2.mga8
+ Revision: 1528357
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 1.5.9-1.mga8
+ Revision: 1430158
- new version: 1.5.9

* Sat Mar 30 2019 umeabot <umeabot> 1.5.8-3.mga7
+ Revision: 1382042
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.5.8-2.mga7
+ Revision: 1298430
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 1.5.8-1.mga7
+ Revision: 1244538
- new version: 1.5.8

* Sun Jul 08 2018 daviddavid <daviddavid> 1.5.7-1.mga7
+ Revision: 1242568
- new version: 1.5.7

* Wed May 30 2018 daviddavid <daviddavid> 1.5.6-1.mga7
+ Revision: 1233028
- new version: 1.5.6

* Sun Apr 29 2018 daviddavid <daviddavid> 1.5.5-1.mga7
+ Revision: 1223283
- new version: 1.5.5

* Sat Dec 09 2017 vaci0 <vaci0> 1.5.4-1.mga7
+ Revision: 1181774
-Update new version 1.5.4

* Sat Jun 03 2017 vaci0 <vaci0> 1.5.2-1.mga6
+ Revision: 1105917
- Update to new version 1.5.2

* Sat Oct 08 2016 akien <akien> 1.5.0-1.mga6
+ Revision: 1059598
- Now builds with Qt5
+ vaci0 <vaci0>
-Update to new version 1.5.0

* Mon Feb 08 2016 umeabot <umeabot> 1.4.4.2-4.mga6
+ Revision: 944769
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.4.2-3.mga5
+ Revision: 741747
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.4.2-2.mga5
+ Revision: 680928
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 vaci0 <vaci0> 1.4.4.2-1.mga5
+ Revision: 639651
- new version 1.4.4.2

* Sat Feb 08 2014 dams <dams> 1.4.4.1-1.mga5
+ Revision: 585722
- new version 1.4.4.1
- change qt4 BR for qt5

* Fri Feb 07 2014 wally <wally> 1.4.4-1.mga5
+ Revision: 585463
- new version 1.4.4

* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-3.mga4
+ Revision: 506542
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 355816
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 vaci0 <vaci0> 1.4.3-1.mga3
+ Revision: 308331
-Fixed Group Office/Organizer
-Update to version 1.4.3

* Fri Jul 27 2012 vaci0 <vaci0> 1.3.5-1.mga3
+ Revision: 274785
- imported package kapow

